//
//  BallView+boundRightAnimation.m
//  ClassCategoryAnimetion
//
//  Created by Azuma Shimpei on 2013/08/10.
//  Public Domain

#import "BallView+boundRightAnimation.h"

@implementation BallView (boundRightAnimation)

-(void)startBoundRightAnimetion {
    // scean no. 10 animetion
    [self BoundRightAnimetion_s10];
}
-(void)BoundRightAnimetion_s10 {
    // overwrite default position in Completion
    CGRect master = self.frame;
    [UIView animateWithDuration:0.3f
                          delay:0.0f
                        options: UIViewAnimationOptionAutoreverse
                     animations:^{
                         CGRect tmp = self.frame;
                         tmp.origin.x = tmp.origin.x+40.0f;
                         self.frame = tmp;
                     }
                     completion:^(BOOL finished){
                         self.frame = master;
                         [self boundRightAnimetion_s20];
                     }
     ];
}
-(void)boundRightAnimetion_s20 {
    // overwrite default position in Completion
    CGRect master = self.frame;
    [UIView animateWithDuration:0.1f
                          delay:0.0f
                        options: UIViewAnimationOptionAutoreverse
                     animations:^{
                         CGRect tmp = self.frame;
                         tmp.origin.x = tmp.origin.x+4.0f;
                         self.frame = tmp;
                     }
                     completion:^(BOOL finished){
                         self.frame = master;
                     }
     ];
}

@end
